Prepare adding a signer
curl --request POST \
--url https://api.sx.bet/user/multisig/add-signer/prepare \
--header 'Content-Type: application/json' \
--header 'x-sx-api-key: <api-key>' \
--data '
{
"safeAddress": "0x8E4c91A7D2b0f35e6A19c84d70B2e5F1a3c6D9e8",
"newSigner": "0xbcc6D643e4159A75ED1dB4e13330230B82F2AEe5",
"threshold": 2
}
'import requests
url = "https://api.sx.bet/user/multisig/add-signer/prepare"
payload = {
"safeAddress": "0x8E4c91A7D2b0f35e6A19c84d70B2e5F1a3c6D9e8",
"newSigner": "0xbcc6D643e4159A75ED1dB4e13330230B82F2AEe5",
"threshold": 2
}
headers = {
"x-sx-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-sx-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
safeAddress: '0x8E4c91A7D2b0f35e6A19c84d70B2e5F1a3c6D9e8',
newSigner: '0xbcc6D643e4159A75ED1dB4e13330230B82F2AEe5',
threshold: 2
})
};
fetch('https://api.sx.bet/user/multisig/add-signer/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"safeAddress": "0x8E4c91A7D2b0f35e6A19c84d70B2e5F1a3c6D9e8",
"safeTxHash": "0x9c8f5b21e4d0a7c3f18b6e94d2a05c7318fa4b62d9e0173c5a8b2f4e6019d3c7",
"typedData": {
"primaryType": "SafeTx",
"domain": {
"chainId": 4162,
"verifyingContract": "0x8E4c91A7D2b0f35e6A19c84d70B2e5F1a3c6D9e8"
},
"message": {
"to": "0x4361123dbdc1D812fdf7D27045aF358C9C8AA70A",
"value": "0",
"operation": 0,
"nonce": 3
}
},
"safeTransactionData": {
"to": "0x4361123dbdc1D812fdf7D27045aF358C9C8AA70A",
"value": "0",
"data": "0x",
"operation": 0,
"nonce": 3
}
}
}{
"message": "invalid safeAddress",
"error": "Bad Request",
"statusCode": 400
}{
"message": "BAD_AUTH",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "the target Safe is not associated with your account",
"error": "Forbidden",
"statusCode": 403
}{
"message": "your proxy wallet is not deployed yet",
"error": "Conflict",
"statusCode": 409
}Advanced Wallet
Prepare adding a signer
Build the Safe transaction that adds a signer.
POST
/
user
/
multisig
/
add-signer
/
prepare
Prepare adding a signer
POST /user/multisig/add-signer/prepare builds the transaction that adds a signer for multisig actions.
Sign typedData and submit it to
POST /user/multisig/add-signer/execute.Authorizations
API key, sent as the x-sx-api-key header.
Body
application/json
Last modified on October 1, 2026